=== debian/changelog ===
virtuoso-opensource (7.2.12+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Updated Spanish debconf translations, thanks to Camaleón.
    (Closes: #1100472)
  * New Catalan debconf translations, thanks to Carles Pina i Estany.
    (Closes: #1101663)
  * Run debconf-updatepo during clean.
  * Drop redundant Rules-Requires-Root: no.
  * Add systemd unit (calling ExecStart=/etc/init.d/virtuoso-opensource-7).
    (Closes: #1039411)
  * Restrict to architecture-is-little-endian.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 19 Sep 2025 21:26:33 +0200

virtuoso-opensource (7.2.12+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with GCC 15.  (Closes: #1098067)
  * Fix building twice in a row.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 17 Sep 2025 17:04:54 +0200

virtuoso-opensource (7.2.12+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Drop virtuoso-vad-ods with ckeditor3.  (Closes: #1101019)
  * Drop commented out package definitions.
  * Prevent building unused files.

 -- Bastian Germann <bage@debian.org>  Fri, 04 Apr 2025 19:25:23 +0200

virtuoso-opensource (7.2.12+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Relax compilation errors.  (Closes: #1075623)
  * Drop package libvirtuoso5.5-cil.

  [ Lee Garrett ]
  * Fix missing bracket.

 -- Bastian Germann <bage@debian.org>  Fri, 30 Aug 2024 16:22:28 +0200

virtuoso-opensource (7.2.12+dfsg-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 03 May 2024 11:25:45 +0200

virtuoso-opensource (7.2.12+dfsg-0.1) experimental; urgency=medium

  [ Andreas Beckmann ]
  * Non-maintainer upload.
  * New upstream release 7.2.12.
    - Fixes CVE-2023-48945, CVE-2023-48946, CVE-2023-48947, CVE-2023-48948,
      CVE-2023-48949, CVE-2023-48950, CVE-2023-48951, CVE-2023-48952.
      (Closes: #1059062)
  * New upstream release 7.2.11.
  * New upstream release 7.2.10.
    - Fixes CVE-2023-31607, CVE-2023-31608, CVE-2023-31609, CVE-2023-31610,
      CVE-2023-31611, CVE-2023-31612, CVE-2023-31613, CVE-2023-31614,
      CVE-2023-31615, CVE-2023-31616, CVE-2023-31617, CVE-2023-31618,
      CVE-2023-31619, CVE-2023-31620, CVE-2023-31621, CVE-2023-31622,
      CVE-2023-31623, CVE-2023-31624, CVE-2023-31625, CVE-2023-31626,
      CVE-2023-31627, CVE-2023-31628, CVE-2023-31629, CVE-2023-31630,
      CVE-2023-31631.  (Closes: #1036467)
  * New upstream release 7.2.9.
  * New upstream release 7.2.8.
  * New upstream release 7.2.7.
  * New upstream release 7.2.6.1.  (Closes: #1000189)
  * New upstream release 7.2.6.
  * Exclude more windows-specific files.
  * Handle new/moved/renamed files.
  * Refresh patches.
  * Upload to experimental.

  [ Yavor Doganov ]
  * debian/patches/pcre2.patch: Update for the new upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 22 Mar 2024 10:19:47 +0100

virtuoso-opensource (7.2.5.1+dfsg1-0.8) unstable; urgency=medium

  * Non-maintainer upload.
  * Exclude Makefile* from *.vad for reproducibility.
  * Fix building with -Werror=implicit-function-declaration.
  * Improve reproducibility.
  * Disable LTO due to testsuite failures (Ubuntu).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 14 Mar 2024 14:52:18 +0100

virtuoso-opensource (7.2.5.1+dfsg1-0.7) unstable; urgency=medium

  * Non-maintainer upload.
  * Restrict to architecture-is-64-bit.
  * Add libfftw3-dev build-dependency as workaround for imagemagick packaging
    bug #1064658.
  * Redo safer-timeout.patch.
  * Packaging cleanup.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Mar 2024 03:45:34 +0100

virtuoso-opensource (7.2.5.1+dfsg1-0.6) unstable; urgency=medium

  * Non-maintainer upload.

  [ Yavor Doganov ]
  * Port to pcre2.  (Closes: #999931)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 23 Feb 2024 14:07:47 +0100

virtuoso-opensource (7.2.5.1+dfsg1-0.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Updated Swedish debconf translation, thanks to Martin Bagge.
    (Closes: #1055274)
  * Cleanup d/rules.
  * Make the build reproducible.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 21 Nov 2023 02:29:04 +0100

virtuoso-opensource (7.2.5.1+dfsg1-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop kfreebsd specific ignore-netstat-failure.patch.  (Closes: #761659)
  * Fix building twice in a row.
  * Make the build (partly) reproducible.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 13 Nov 2023 17:05:35 +0100

virtuoso-opensource (7.2.5.1+dfsg1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add salsa-ci.yml.
  * Drop dependency on transitional lsb-base.
  * Update watch file.
  * Update Lintian overrides.
  * Updated Brazilian Portuguese debconf translation, thanks to
    Paulo Henrique de Lima Santana.  (Closes: #1024191)
  * Re-enable dh_dwz.
  * Switch to debhelper-compat 13.
  * Make the build (partly) reproducible.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 08 Feb 2023 16:53:21 +0100

virtuoso-opensource (7.2.5.1+dfsg1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix WBXML2 0.11 detection.  (Closes: #993431)
  * Use libtirpc-dev.  (Closes: #993390)
  * The bullseye toolchain defaults to linking with --as-needed.
  * Set Rules-Requires-Root: no.
  * Update Lintian overrides.
  * Drop NEWS from 2010.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 20 Oct 2021 23:11:44 +0200
