=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
-export MONO_DISABLE_SHM=1
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all, optimize=-lto
 # most of the flags can be dropped with release 7.2.13
@@ -19,9 +18,9 @@
 	touch INSTALL
 
 override_dh_auto_configure: autogen
-	# Code copy of ckeditor was removed - bring this back into the code tree
-	ln -sf /usr/share/javascript/ckeditor3 appsrc/ODS-Framework/ckeditor
-	dh_auto_configure -- --with-layout=Debian --program-transform-name='s/isql$$/isql-vt/;s/isqlw/isqlw-vt/' --with-readline --without-internal-zlib --enable-all-vads
+	dh_auto_configure -- --with-layout=Debian --program-transform-name='s/isql$$/isql-vt/;s/isqlw/isqlw-vt/' --with-readline --without-internal-zlib \
+		--enable-bpel-vad --enable-conductor-vad --enable-demo-vad --enable-isparql-vad --enable-rdfmappers-vad \
+		--enable-sparqldemo-vad --enable-syncml-vad --enable-tutorial-vad
 
 execute_after_dh_auto_build:
 	# manpages
@@ -35,8 +34,10 @@
 	$(RM) debian/*.1
 
 execute_after_dh_auto_clean:
-	$(RM) appsrc/ODS-Framework/ckeditor
 	$(RM) $(AUTOGEN)
+
+execute_after_dh_clean:
+	debconf-updatepo
 
 autogen: $(AUTOGEN) ;
