=== debian/watch ===
version=4

opts="filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/virtuoso-opensource-$1\.tar\.gz/, \
  dversionmangle=auto, repacksuffix=+dfsg" \
  https://github.com/openlink/virtuoso-opensource/tags .*/v?(\d\S+)\.tar\.gz
